
<p>
  The general configuration allows you to fully customise the layout of the
  panels as well as the settings for the functionalities like automatically
  adding network edges or the design of the network nodes. Below, we provide the
  default configuration of Drugst.One, the settings when no argument is given
  for the specific parameters. Any of these parameters can be overwritten by
  passing it to the ‘config’ parameter.
</p>
<p-tabView class="tabView">
  <p-tabPanel header="Options" leftIcon="pi pi-fw pi-list">
    <p-table [value]="config" responsiveLayout="scroll">
      <ng-template pTemplate="header">
        <tr>
          <th>Parameter</th>
          <th>Type</th>
          <th>Default</th>
          <th>Description</th>
        </tr>
      </ng-template>
      <ng-template pTemplate="body" let-entry>
        <tr>
          <td>{{ entry.name }}</td>
          <td>{{ entry.type }}</td>
          <td>{{ entry.default }}</td>
          <td>{{ entry.description }}</td>
        </tr>
      </ng-template>
    </p-table>
  </p-tabPanel>
  <p-tabPanel header="Raw JSON" leftIcon="pi pi-fw pi-clone">
    <app-code
      [copy]="true"
      lang="json"
      code='config: {
      title: "Drugst.one",
      legendUrl: "", // show legend image if set, otherwise default legend
      legendClass: "legend",
      legendPos: "left",
      taskTargetName: "Drug Target Search",
      taskDrugName: "Drug Search",
      showLegendNodes: true,
      showLegendEdges: true,
      showSidebar: "left",
      showOverview: true,
      showQuery: true,
      showItemSelector: true,
      showSimpleAnalysis: false,
      showAdvAnalysis: true,
      showSelection: true,
      showTasks: true,
      showNetworkMenu: "right",
      showLegend: true,
      showNetworkMenuButtonExpression: true,
      showNetworkMenuButtonScreenshot: true,
      showNetworkMenuButtonExportGraphml: true,
      showNetworkMenuButtonAdjacentDrugs: true,
      activateNetworkMenuButtonAdjacentDrugs: false,
      showNetworkMenuButtonCenter: true,
      showConnectGenes: true,
      networkMenuButtonAdjacentDrugsLabel: "Drugs",
      showNetworkMenuButtonAdjacentDisordersProteins: true,
      activateNetworkMenuButtonAdjacentDisorders: false,
      networkMenuButtonAdjacentDisordersProteinsLabel: "Disorders (protein)",
      showNetworkMenuButtonAdjacentDisordersDrugs: true,
      activateNetworkMenuButtonAdjacentDisorderDrugs: false,
      networkMenuButtonAdjacentDisordersDrugsLabel: "Disorders (drug)",
      showNetworkMenuButtonAnimation: true,
      networkMenuButtonAnimationLabel: "Animation",
      identifier: "symbol",
      interactionDrugProtein: "NeDRex",
      interactionProteinProtein: "NeDRex",
      associatedProteinDisorder: "NeDRex",
      indicationDrugDisorder: "NeDRex",
      nodeShadow: true,
      edgeShadow: true,
      autofillEdges: true,
      physicsOn: false,
      licensedDatasets: false,
      selfReferences: false,
      algorithms: { 
        "drug": ["trustrank", "closeness", "degree", "proximity"], 
        "drug-target": ["trustrank", "multisteiner", "keypathwayminer", "degree", "closeness", "betweenness"] 
      },
    }'
    ></app-code>
  </p-tabPanel>
</p-tabView>

